Update a course schedule slot

Updates slot details and applies them to all days or one specifically selected date.

Authentication

AuthorizationBearer

The signed-in SchoolSet user token sent by the frontend.

Path parameters

slotIdintegerRequired

Request

This endpoint expects an object.
academic_year_idintegerRequired
course_idintegerRequired
staff_member_idintegerRequired
audience_typeenumRequired
Allowed values:
audience_idintegerRequired
week_in_cycleintegerRequired1-52
day_of_weekintegerRequired1-7
start_timestringRequiredformat: "^\\d{2}:\\d{2}$"
end_timestringRequiredformat: "^\\d{2}:\\d{2}$"
apply_scopeenumRequired
Allowed values:
calendar_schedule_idinteger or nullOptional
effective_start_datedate or nullOptional
effective_end_datedate or nullOptional
activeboolean or nullOptional
datedate or nullOptional

Response

Course schedule slot updated successfully.
statusstringOptional
messagestringOptional
datamap from strings to anyOptional

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error